%global debug_package %{nil}

Name:           dnsproxy
Version:        0.69.2
Release:        1%{?dist}
Summary:        Simple DNS proxy with DoH, DoT, DoQ and DNSCrypt support
License:        Apache-2.0
URL:            https://github.com/AdguardTeam/dnsproxy
Source0:        %{name}-%{version}.tar.gz

%description
A simple DNS proxy server that supports all existing DNS protocols including
DNS-over-TLS, DNS-over-HTTPS, DNSCrypt, and DNS-over-QUIC.
Moreover, it can work as a DNS-over-HTTPS, DNS-over-TLS or DNS-over-QUIC server.

%prep
%autosetup

%build
# https://pagure.io/go-rpm-macros/c/1cc7f5d9026175bb6cb1b8c889355d0c4fc0e40a
%undefine _auto_set_build_flags

LDFLAGS="-X github.com/AdguardTeam/dnsproxy/internal/version.version=v%{version} -s -w -buildid="
env CGO_ENABLED=0 go build -v -trimpath -ldflags "${LDFLAGS}" -o %{name}

%install
%{__install} -d %{buildroot}%{_bindir}
%{__install} -p -m 755 %{name} %{buildroot}%{_bindir}

%files
%{_bindir}/%{name}
%license LICENSE
%doc README.md

%changelog
* Fri Apr 12 2024 Teddysun <i@teddysun.com> - 0.69.2-1
- Update version to 0.69.2

* Thu Apr 11 2024 Teddysun <i@teddysun.com> - 0.69.1-1
- Update version to 0.69.1

* Wed Apr 10 2024 Teddysun <i@teddysun.com> - 0.69.0-1
- Update version to 0.69.0

* Fri Apr 05 2024 Teddysun <i@teddysun.com> - 0.68.0-1
- Update version to 0.68.0

* Wed Apr 03 2024 Teddysun <i@teddysun.com> - 0.67.0-1
- Update version to 0.67.0

* Tue Apr 02 2024 Teddysun <i@teddysun.com> - 0.66.1-1
- Update version to 0.66.1

* Mon Mar 11 2024 Teddysun <i@teddysun.com> - 0.66.0-1
- Update version to 0.66.0

* Tue Feb 27 2024 Teddysun <i@teddysun.com> - 0.65.2-1
- Update version to 0.65.2

* Fri Feb 23 2024 Teddysun <i@teddysun.com> - 0.65.1-1
- Update version to 0.65.1

* Fri Feb 09 2024 Teddysun <i@teddysun.com> - 0.65.0-1
- Update version to 0.65.0

* Wed Jan 31 2024 Teddysun <i@teddysun.com> - 0.64.1-1
- Update version to 0.64.1

* Tue Jan 30 2024 Teddysun <i@teddysun.com> - 0.64.0-1
- Update version to 0.64.0

* Wed Jan 24 2024 Teddysun <i@teddysun.com> - 0.63.1-1
- Update version to 0.63.1

* Tue Jan 16 2024 Teddysun <i@teddysun.com> - 0.63.0-1
- Update version to 0.63.0

* Fri Jan 12 2024 Teddysun <i@teddysun.com> - 0.62.0-1
- Update version to 0.62.0

* Sat Dec 30 2023 Teddysun <i@teddysun.com> - 0.61.1-1
- Update version to 0.61.1

* Tue Dec 19 2023 Teddysun <i@teddysun.com> - 0.61.0-1
- Update version to 0.61.0

* Mon Dec 18 2023 Teddysun <i@teddysun.com> - 0.60.1-1
- Initial version 0.60.1
